Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime
Class QTObject

    java.lang.Object
      |
      +--quicktime.QTObject

Direct Known Subclasses:
  CDSequence, ComponentIdentifier, ImageSequenceDataSource, Media, Movie, MovieEditState, NoteChannel, OpenedFile, Presentation, QTCallBack, QTHandleRef, QTPointerRef, QTVRInstance, SGOutput, SndChannel, SPBDevice, Sprite, SpriteWorld, Stream, TimeBase, Track, TrackEditState, UserData, XMLAttribute, XMLContent, XMLDoc, XMLElement

public abstract class QTObject
extends java.lang.Object

This is a class that defines an unique identifier for QT objects.

Method Summary
`void` | `disposeQTObject()` This call will dispose the underlying QuickTime object that is associated with the QTJava object.
`boolean` | `equals(java.lang.Object anObject)` Indicates whether some other object is equal to this one.
`static int` | `ID(QTObject id)`
`java.lang.String` | `toString()` A String representation of the class.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### ID

    public static final int ID(QTObject id)

### disposeQTObject

    public void disposeQTObject()
                         throws QTException

  This call will dispose the underlying QuickTime object that is associated with the QTJava object. After this call the QTJava object is no longer usable and will throw QTRuntimeExceptions to indicate that the QTJava object's native object has been disposed.

### equals

    public boolean equals(java.lang.Object anObject)

  Indicates whether some other object is equal to this one. If true, indicates that the two objects refer to the same memory.
  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  A String representation of the class.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD